%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Author : Hemant Anugonda
%
%Purpose: Make a movie in MATLAB, using the image processing tool box
%functions
%
%Date : Sept 16th, 2004
%
%Assignment : 1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


clear all

%get the image
ballImg = imread('c:\ImageProcessing\Hemant\fb.bmp');

%attributes
framesPerSec = 25;
numberOfFrames = 250; 

% Create a new AVI file named "colorball.avi"
% Compression value is set to Indeo5 for Windows
aviobj = avifile('fb.avi','fps', framesPerSec'); 

%Add the first frame
frame = im2frame(ballImg);
aviobj = addframe(aviobj,frame);

%imwrite(ballImg,'c:\ImageProcessing\Hemant\temp.jpeg');
%main for loop
for i=1:numberOfFrames
    
    % find color ball
    [bRow, bCol] = find(ballImg == 0);

    
    %Clear the color ball image
    for j=1:size(bRow,1)        
        ballImg(bRow(j), bCol(j)) = 255;
    end

    
     if( i<=85 )
        % move up
        newballRow = bRow - 1;
    elseif( i>85 & i<=176 )
        % move down
        newballRow = bRow + 1;
    elseif( i>176 ) 
        % move up
        newballRow = bRow - 1;  
    end
    
    if( i<=176 )
        % move right
        newballCol = bCol + 2;
    elseif( i>176 & i<=300 )
        % move left
        newballCol = bCol - 2;
    end
           
    %Redraw the ball at new location
    for m=1:size(newballRow, 1)
        ballImg( newballRow(m), newballCol(m) ) = 0;
    end
    
   
    %Converts the image into movie frame
    frame = im2frame(ballImg);  
    
    % Add frame to avi file
    aviobj = addframe(aviobj,frame);  
end 

% close movie file 
aviobj = close(aviobj); 
   
    
    
    
    
end    %main for loop